Upstream information

CVE-2022-36440 at MITRE

Description

A reachable assertion was found in Frrouting frr-bgpd 8.3.0 in the peek_for_as4_capability function. Attackers can maliciously construct BGP open packets and send them to BGP peers running frr-bgpd, resulting in DoS.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.5 7.5
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H
Attack Vector Network Network
Attack Complexity Low Low
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact None None
Integrity Impact None None
Availability Impact High High
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1210132 [RESOLVED / FIXED]

No SUSE Security Announcements cross referenced.

List of released packages

Product(s) Fixed package version(s) References
SUSE Liberty Linux 9
  • frr >= 8.3.1-11.el9_3
  • frr-selinux >= 8.3.1-11.el9_3
Patchnames:
RHSA-2023:6434


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7.1 frr Not affected
SUSE Linux Enterprise High Performance Computing 15 SP5 frr Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP6 frr Already fixed
SUSE Linux Enterprise Module for Server Applications 15 SP5 frr Already fixed
SUSE Linux Enterprise Module for Server Applications 15 SP6 frr Already fixed
SUSE Linux Enterprise Server 15 SP5 frr Already fixed
SUSE Linux Enterprise Server 15 SP6 frr Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP5 frr Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP6 frr Already fixed
SUSE Manager Proxy 4.3 frr Not affected
SUSE Manager Retail Branch Server 4.3 frr Not affected
SUSE Manager Server 4.3 frr Not affected
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise High Performance Computing 15 SP3 frr Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS frr Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS frr Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4 frr Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS frr Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS frr Not affected
SUSE Linux Enterprise Module for Server Applications 15 SP3 frr Not affected
SUSE Linux Enterprise Module for Server Applications 15 SP4 frr Not affected
SUSE Linux Enterprise Server 15 SP3 frr Not affected
SUSE Linux Enterprise Server 15 SP3-LTSS frr Not affected
SUSE Linux Enterprise Server 15 SP4 frr Not affected
SUSE Linux Enterprise Server 15 SP4-LTSS frr Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 frr Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 frr Not affected
Products past their end of life and not receiving proactive updates anymore.
SUSE Linux Enterprise Real Time 15 SP3 frr Not affected
SUSE Linux Enterprise Real Time 15 SP4 frr Not affected
SUSE Linux Enterprise Server 15 SP3-BCL frr Not affected
SUSE Manager Proxy 4.2 frr Not affected
SUSE Manager Retail Branch Server 4.2 frr Not affected
SUSE Manager Server 4.2 frr Not affected


SUSE Timeline for this CVE

CVE page created: Mon Apr 3 20:01:08 2023
CVE page last modified: Tue May 14 11:39:53 2024